Subject: bug#77012: Documentation problem: odd characters in ASCII text format manual

From: Giacomo De Bello <[email-masked]>
Date: Fri, 14 Mar 2025 19:42:38 +0000

On 2025-03-14 18:38, Paul Eggert wrote:

> the Savannah web server responds with a header that lacks
> the line "Content-Type: text/plain; charset=utf-8", needed because
> this file uses UTF-8 encoding, not ASCII.

Trying to be helpful, I found that Savannah migrated to "updated
systems" in November 2016, and the grep.txt page was OK before [2],
and problematic after [3] the upgrade.
Anyway, another project, alive [4], has a similar problem starting from
a day between May [5] and October [6] 2013.
But I'll stop here, to avoid noise and to go off topic.

> Savannah is reeeeallly slow right now and I'm gettinga "502 Bad
> Gateway" when I try to visit, for example,
> <http://web.cvs.savannah.gnu.org/viewvc/grep/>

Same here.

> So I'll cc this email to savannah-hackers to see whether they can fix
> the UTF-8 issue for me.

Same.

> Thanks for the reporting the problem.

Thanks for your efforts.

[1] https://savannah.nongnu.org/news/?id=8710
[2] https://web.archive.org/web/20151225120101/http://www.gnu.org/software/grep/manual/grep.txt
[3] https://web.archive.org/web/20161224123914/http://www.gnu.org/software/grep/manual/grep.txt
[4] http://www.gnu.org/software/alive/manual/alive.txt
[5] https://web.archive.org/web/20130517082946/http://www.gnu.org/software/alive/manual/alive.txt
[6] https://web.archive.org/web/20131010110923/http://www.gnu.org/software/alive/manual/alive.txt